Package org.opensaml.xacml.ctx

# Interface StatusType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `StatusTypeImpl`

public interface StatusType extends XACMLObject
XACML context Status schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the StatusCode element.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`StatusCodeType`
`getStatusCode()`
Gets the status code of status.
`StatusDetailType`
`getStatusDetail()`
Gets the status detail of status.
`StatusMessageType`
`getStatusMessage()`
Gets the status message of status.
`void`
`setStatusCode(StatusCodeType newStatusCode)`
Sets the status code for the Status.
`void`
`setStatusDetail(StatusDetailType statusDetail)`
Sets the status detail for the Status.
`void`
`setStatusMessage(StatusMessageType newStatusMessage)`
Sets the status message for the Status.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the StatusCode element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getStatusCode

StatusCodeType getStatusCode()
Gets the status code of status.

Returns:
  The status code of status

### getStatusDetail

StatusDetailType getStatusDetail()
Gets the status detail of status.

Returns:
  The status detail of status

### getStatusMessage

StatusMessageType getStatusMessage()
Gets the status message of status.

Returns:
  The status message of status

### setStatusCode

void setStatusCode(StatusCodeType newStatusCode)
Sets the status code for the Status.

Parameters:
  `newStatusCode` - The new status code

### setStatusDetail

void setStatusDetail(StatusDetailType statusDetail)
Sets the status detail for the Status.

Parameters:
  `statusDetail` - The new status message

### setStatusMessage

void setStatusMessage(StatusMessageType newStatusMessage)
Sets the status message for the Status.

Parameters:
  `newStatusMessage` - The new status message